elementum_colors:
    title: "Elementum - Couleurs"
    description: "Couleurs d'Elementum"
    priority: 1000
    capability: "administrator"
    sections:
        palette:
            title: "Palette de couleur"
            fields:
                elementum_primary:
                    label: "Couleur principale"
                    type: "color_contrast"
                    default: "#2d2a24"
                    check_contrast_colors_ids: "elementum_text_primary,elementum_text_secondary,elementum_text_tertiary"
                    registration_type: "option"
                elementum_secondary:
                    label: "Couleur secondaire"
                    type: "color_contrast"
                    default: "#ECD4A7"
                    check_contrast_colors_ids: "elementum_text_secondary"
                elementum_tertiary:
                    label: "Couleur tertiaire"
                    type: "color_contrast"
                    default: "#D69A5A"
                    check_contrast_colors_ids: "elementum_text_tertiary"

                elementum_text_primary:
                    label: "Couleur du texte principal"
                    type: "color_contrast"
                    default: "#ECD4A7"
                    check_contrast_colors_ids: "elementum_primary"
                elementum_text_secondary:
                    label: "Couleur du texte secondaire"
                    type: "color_contrast"
                    default: "#212121"
                    check_contrast_colors_ids: "elementum_secondary"
                elementum_text_tertiary:
                    label: "Couleur du texte tertiaire"
                    type: "color_contrast"
                    default: "#212121"
                    check_contrast_colors_ids: "elementum_tertiary"

        primary_button:
            title: "Bouton primaire"
            fields:
                elementum_primary_button:
                    label: "Couleur de fond"
                    type: "color_contrast"
                    default: "#2d2a24"
                elementum_primary_button_text:
                    label: "Couleur du texte"
                    type: "color_contrast"
                    default: "#ECD4A7"

        secondary_button:
            title: "Bouton secondaire"
            fields:
                elementum_secondary_button:
                    label: "Couleur de fond"
                    type: "color_contrast"
                    default: "#ECD4A7"
                elementum_secondary_button_text:
                    label: "Couleur du texte"
                    type: "color_contrast"
                    default: "#212121"

        tertiary_button:
            title: "Bouton tertiaire"
            fields:
                elementum_tertiary_button:
                    label: "Couleur de fond"
                    type: "color_contrast"
                    default: "#E26D5A"
                elementum_tertiary_button_text:
                    label: "Couleur du texte"
                    type: "color_contrast"
                    default: "#212121"
